/*
 * CrudContainer
 * Copyright (C) 2011 by Apaq
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package dk.apaq.framework.criteria.rules;

import dk.apaq.framework.criteria.Rule.FiltrationItem;
import java.util.Collection;

/**
 *
 * @author michaelzachariassenkrog
 */
public class ContainsRule extends AbstractSpecificRule {

    private final Object value;

    public ContainsRule(String propertyId, Object value) {
        super(propertyId);
        this.value = value;
    }

    public Object getValue() {
        return value;
    }

    @Override
    public boolean passesRule(FiltrationItem item) {
        Object o = item.getFiltrationProperty(super.getPropertyId());
        if(o instanceof Collection) {
            return ((Collection)o).contains(value);
        } else {
            return false;
        }
    }


}
